<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
PrimitiveArrayMarshallers
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.jbase.marshal.PrimitiveArrayMarshallers class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PrimitiveArrayMarshallers";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PrimitiveArrayMarshallers.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jbase/marshal/BigIntegerMarshaller.html" title="class in ch.javasoft.jbase.marshal"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveMarshallers.html" title="class in ch.javasoft.jbase.marshal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PrimitiveArrayMarshallers.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.jbase.marshal</FONT>
<BR>
Class PrimitiveArrayMarshallers</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.jbase.marshal.PrimitiveArrayMarshallers</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.59"><B>PrimitiveArrayMarshallers</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
<tt>PrimitiveArrayMarshallers</tt> contains constants and static methods to
 access marshallers for one dimensional arrays of primitive data types. One 
 row (or entity) corresponds to an array of some primitive Java data type.
 <p>
 If the array size is previously known, the appropriate static method can
 be used to create a <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase"><CODE>FixedWidthMarshaller</CODE></A> instance for the specified 
 array size. Such marshallers can be used with a <A HREF="../../../../ch/javasoft/jbase/FixedWidthTable.html" title="class in ch.javasoft.jbase"><CODE>FixedWidthTable</CODE></A>.
 <p>
 If the array size is not known and possibly varying for different entity 
 instances (or rows), the constant marshallers can be used. They write the 
 array length for each row and are not <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase"><CODE>FixedWidthMarshaller</CODE></A> instances.
 Such marshallers can be used with a <A HREF="../../../../ch/javasoft/jbase/VariableWidthTable.html" title="class in ch.javasoft.jbase"><CODE>VariableWidthTable</CODE></A>.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;boolean[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#BOOLEAN">BOOLEAN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;byte[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#BYTE">BYTE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;char[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#CHAR">CHAR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#DOUBLE">DOUBLE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;float[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#FLOAT">FLOAT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;int[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#INT">INT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;long[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#LONG">LONG</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;short[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#SHORT">SHORT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;boolean[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedBooleanArray(int)">getForFixedBooleanArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;byte[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedByteArray(int)">getForFixedByteArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;char[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedCharArray(int)">getForFixedCharArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;double[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedDoubleArray(int)">getForFixedDoubleArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;float[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedFloatArray(int)">getForFixedFloatArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;int[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedIntArray(int)">getForFixedIntArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;long[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedLongArray(int)">getForFixedLongArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;short[]&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#getForFixedShortArray(int)">getForFixedShortArray</A></B>(int&nbsp;arrayLength)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BYTE"><!-- --></A><H3>
BYTE</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;byte[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.61"><B>BYTE</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="SHORT"><!-- --></A><H3>
SHORT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;short[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.73"><B>SHORT</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="INT"><!-- --></A><H3>
INT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;int[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.89"><B>INT</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LONG"><!-- --></A><H3>
LONG</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;long[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.105"><B>LONG</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="FLOAT"><!-- --></A><H3>
FLOAT</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;float[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.121"><B>FLOAT</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="DOUBLE"><!-- --></A><H3>
DOUBLE</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;double[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.137"><B>DOUBLE</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="BOOLEAN"><!-- --></A><H3>
BOOLEAN</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;boolean[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.153"><B>BOOLEAN</B></A></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="CHAR"><!-- --></A><H3>
CHAR</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/jbase/EntityMarshaller.html" title="interface in ch.javasoft.jbase">EntityMarshaller</A>&lt;char[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.169"><B>CHAR</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getForFixedByteArray(int)"><!-- --></A><H3>
getForFixedByteArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;byte[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.186"><B>getForFixedByteArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedShortArray(int)"><!-- --></A><H3>
getForFixedShortArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;short[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.203"><B>getForFixedShortArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedIntArray(int)"><!-- --></A><H3>
getForFixedIntArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;int[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.224"><B>getForFixedIntArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedLongArray(int)"><!-- --></A><H3>
getForFixedLongArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;long[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.245"><B>getForFixedLongArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedFloatArray(int)"><!-- --></A><H3>
getForFixedFloatArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;float[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.266"><B>getForFixedFloatArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedDoubleArray(int)"><!-- --></A><H3>
getForFixedDoubleArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;double[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.287"><B>getForFixedDoubleArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedBooleanArray(int)"><!-- --></A><H3>
getForFixedBooleanArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;boolean[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.308"><B>getForFixedBooleanArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getForFixedCharArray(int)"><!-- --></A><H3>
getForFixedCharArray</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/jbase/FixedWidthMarshaller.html" title="interface in ch.javasoft.jbase">FixedWidthMarshaller</A>&lt;char[]&gt; <A HREF="../../../../src-html/ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html#line.329"><B>getForFixedCharArray</B></A>(int&nbsp;arrayLength)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PrimitiveArrayMarshallers.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/jbase/marshal/BigIntegerMarshaller.html" title="class in ch.javasoft.jbase.marshal"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/jbase/marshal/PrimitiveMarshallers.html" title="class in ch.javasoft.jbase.marshal"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/jbase/marshal/PrimitiveArrayMarshallers.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PrimitiveArrayMarshallers.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
